unit Main;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, TShareTi;

type
  TForm1 = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Label3: TLabel;
    Label4: TLabel;
    Label5: TLabel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    ShareTime1: TShareTime;
    procedure FormCreate(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure ShareTime1Expire(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

procedure TForm1.FormCreate(Sender: TObject);
begin
 Label1.Caption:='This Software Has Been Used '+IntToStr(ShareTime1.NoOfUse)+' Times.';
 Label2.Caption:='This Software Has Been Installed for '+IntToStr(ShareTime1.DaysUsed)+' days.';
 (*this would be nice for a start up reminder screen , stating you have used
 this software NoOfUses times, and it has been installed for Daysused days*)
 Label3.Caption:='Todays date '+ShareTime1.Today+'.';
 Label4.Caption:='This Software Was Installed on '+ShareTime1.StartDate+'.';
 Label5.Caption:='This Software Was Last Used on '+ShareTime1.LastUsed+'.';
 Label6.Caption:='This Software Will Expire On '+ShareTime1.ExpiryDate+'.';
 Label7.Caption:='This Software Will Expire in '+
   IntToStr(ShareTime1.ExpiryDays-ShareTime1.DaysUsed)+' Days.';
 Label8.Caption:='This Software Will Expire After '+
   IntToStr(ShareTime1.ExpiryUses-ShareTime1.NoOfUse)+' More Uses.';

 (*example nag screen for 30 day limit*)
 (*If ShareTime1.DaysUsed>30 then MessageDlg(
   'You have used this software for more than 30 days.'+#13
   +#13+'Is it not tim to register',MtInformation,[MbOk],0);

 (*example nag screen for number of uses*)
 (*if ShareTime1.NoOfuse>100 then MessageDlg(
   'You have used this software for more than 100 times.'+#13
   +#13+'Is it not tim to register',MtInformation,[MbOk],0);

 (*example reminder for use limit*)
 (*if ShareTime1.ExpireAfterUses then MessageDlg('You may use this software '
   +IntToStr(ShareTime1.ExpiryUses-ShareTime1.NoOfUse)
   +' more times.'+#13+'To Continue Using this software see registration file',
   MtInformation,[MbOk],0);

 (*example for time limit*)
 (*if ShareTime1.ExpireAfterDays then MessageDlg('You may use this software for '
   +IntToStr(ShareTime1.ExpiryDays-ShareTime1.DaysUsed)
   +' more days.'+#13+'To Continue Using this software see registration file',
   MtInformation,[MbOk],0);    *)
end;

(*when expiry has been reached, place your event here*)
procedure TForm1.ShareTime1Expire(Sender: TObject);
begin
 Case ShareTime1.ExpiryKind of
  etDate:Messagedlg('Reached Certain Date',MtInformation,[MbOk],0);
  etUses:Messagedlg('Reached certain Uses',MtInformation,[MbOk],0);
  etDay:Messagedlg('Reached Certain Number Of Days',MtInformation,[MbOk],0);
  etTamper:Messagedlg('Date Has Been Put Back',MtInformation,[MbOk],0);
 end;
 (*you could place code here to close your application or increase reminder
 screens/delays*)
end;

(*close action*)
procedure TForm1.FormClose(Sender: TObject; var Action: TCloseAction);
begin
 Action:=CaFree;
end;

end.
